%define url_ver %(echo %{version}|cut -d. -f1,2)

%define api 1.0
%define major 2
%define libname %mklibname %{name} %{api} %{major}
%define girname %mklibname %{name}-gir %{api}
%define devname %mklibname %{name} -d

Summary:	A collection of helpers for building UPnP AV applications
Name:		gupnp-av
Version:	0.12.10
Release:	2
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.gupnp.org/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gupnp-av/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk-doc)
BuildRequires:	pkgconfig(gupnp-1.0)
BuildRequires:	pkgconfig(libxml-2.0)

%description
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP-AV is a collection of helpers for building AV (audio/video)
applications using GUPnP.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A collection of helpers for building UPnP AV applications
Group:		System/Libraries
# The .xsd files were moved from the dev package to this one
Conflicts:	%{devname} < %{EVRD}

%description -n %{libname}
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP-AV is a collection of helpers for building AV (audio/video) 
applications using GUPnP.

%files -n %{libname}
%doc COPYING
%{_libdir}/libgupnp-av-%{api}.so.%{major}*
%{_datadir}/%{name}

#----------------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%doc COPYING
%{_libdir}/girepository-1.0/GUPnPAV-%{api}.typelib

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development package for gupnp-av
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Files for development with gupnp-av.

%files -n %{devname}
%doc AUTHORS COPYING NEWS README
%{_datadir}/gtk-doc/html/gupnp-av/
%{_includedir}/gupnp-av-%{api}
%{_libdir}/pkgconfig/gupnp-av-%{api}.pc
%{_libdir}/libgupnp-av-%{api}.so
%{_datadir}/gir-1.0/GUPnPAV-%{api}.gir
%{_datadir}/vala/vapi/*

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches
autoreconf -fi

%build
%configure2_5x --disable-static
%make LIBS='-lgmodule-2.0'

%install
%makeinstall_std


%changelog

* Tue May 01 2018 Giovanni Mariani <mc2374@mclink.it> 0.12.10-2
- (3b9d3f9) Move .xsd files to the library package (fix for bug #8768), bump release


